unit TrkDFrm;

interface

uses
  SysUtils,
  Windows,
  WinProcs,
  Messages,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  Trkbar,
  ExtCtrls,
  ComCtrls,
  NpsUrl,
  NpsLbl3d;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Button1: TButton;
    SizeGroup: TRadioGroup;
    GroupBox3: TGroupBox;
    TLCheckBox: TCheckBox;
    BRCheckBox: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    TrkBar1: TTrkBar;
    TrkBar2: TTrkBar;
    TrkBar3: TTrkBar;
    TrkBar4: TTrkBar;
    TrkBar5: TTrkBar;
    RBar: TTrkBar;
    GBar: TTrkBar;
    BBar: TTrkBar;
    BrBar: TTrkBar;
    CBar: TTrkBar;
    ColorPanel: TPanel;
    NpsLbl3d1: TNpsLbl3d;
    NpsUrl1: TNpsUrl;
    procedure Button1Click(Sender: TObject);
    procedure SizeGroupClick(Sender: TObject);
    procedure TLCheckBoxClick(Sender: TObject);
    procedure BRCheckBoxClick(Sender: TObject);
    procedure BBarChange(Sender: TObject);
    procedure BrBarChange(Sender: TObject);
    procedure CBarChange(Sender: TObject);
	end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
	Close;
end;

procedure TForm1.SizeGroupClick(Sender: TObject);
begin
	BrBar.Position	:= SizeGroup.ItemIndex + 1;
end;

procedure TForm1.BrBarChange(Sender: TObject);
begin
	with BrBar do begin
		TrkBar1.ThumbSize	 :=	TThumbSize(Position-1);
		TrkBar2.ThumbSize	 :=	TThumbSize(Position-1);
		TrkBar3.ThumbSize	 :=	TThumbSize(Position-1);
		TrkBar4.ThumbSize	 :=	TThumbSize(Position-1);
		TrkBar5.ThumbSize	 :=	TThumbSize(Position-1);
  end;
end;

procedure TForm1.TLCheckBoxClick(Sender: TObject);
begin
	TrkBar1.TLTicks	:= TLCheckBox.Checked;
	TrkBar2.TLTicks	:=	TLCheckBox.Checked;
	TrkBar3.TLTicks	:=	TLCheckBox.Checked;
	TrkBar4.TLTicks	:=	TLCheckBox.Checked;
	TrkBar5.TLTicks	:=	TLCheckBox.Checked;
	RBar.TLTicks		:=	TLCheckBox.Checked;
	GBar.TLTicks		:=	TLCheckBox.Checked;
	BBar.TLTicks	 	:=	TLCheckBox.Checked;
	BrBar.TLTicks		:=	TLCheckBox.Checked;
	CBar.TLTicks		:=	TLCheckBox.Checked;
end;

procedure TForm1.BRCheckBoxClick(Sender: TObject);
begin
	TrkBar1.BRTicks	 := BRCheckBox.Checked;
	TrkBar2.BRTicks	 :=	BRCheckBox.Checked;
	TrkBar3.BRTicks	 :=	BRCheckBox.Checked;
	TrkBar4.BRTicks	 :=	BRCheckBox.Checked;
	TrkBar5.BRTicks	 :=	BRCheckBox.Checked;
	RBar.BRTicks		 :=	BRCheckBox.Checked;
	GBar.BRTicks		 :=	BRCheckBox.Checked;
	BBar.BRTicks		 :=	BRCheckBox.Checked;
	BrBar.BRTicks		 :=	BRCheckBox.Checked;
	CBar.BRTicks		:=	BRCheckBox.Checked;
end;

procedure TForm1.BBarChange(Sender: TObject);
var
	R,G,B	:	Integer;
begin
	R	:= RBar.Position;
	G	:= GBar.Position;
	B	:= BBar.Position;
	ColorPanel.Color	:= RGB(R,G,B);
	ColorPanel.Caption	:= Format('R=%d G=%d B=%d',[R,G,B]);
end;

procedure TForm1.CBarChange(Sender: TObject);
begin
	ColorPanel.Font.Color := RGB(CBar.Position,CBar.Position,CBar.Position);
end;

end.
